<html>
    <head>
      <meta charset="utf-8">
      <meta name="viewport" content="width=device-width, initial-scale=1">
      <link rel="stylesheet" href="https://maxcdn.bootstrapcdn.com/bootstrap/4.3.1/css/bootstrap.min.css">
      {% if title %}
      <title>{{ title }} - eConnect</title>
      {% else %}
      <title>Welcome to eConnect</title>
      {% endif %}
    </head>
    <body>
      <div>
          <img src="{{ url_for('static', filename='econnect.png') }}" class="img-fluid mx-auto d-block" alt="Responsive image">
          <hr>
      </div>
      {% if current_user.is_authenticated %}
      <nav class="navbar navbar-expand-lg navbar-dark bg-dark">
        <div class="container">
          <a class="navbar-brand" href="#">eConnect</a>
          <button class="navbar-toggler" type="button" data-toggle="collapse" data-target="#navbarSupportedContent">
              <span class="navbar-toggler-icon"></span>
          </button>
          <div class="collapse navbar-collapse" id="navbarSupportedContent">
            <ul class="navbar-nav mr-auto">
              {% if current_user.partner_type == 'admin' %}
              <li class="nav-item"><a href="{{ url_for('admin') }}" class="nav-link">Home</a></li>
              {% else %}
              <li class="nav-item"><a href="{{ url_for('user', username=current_user.username) }}" class="nav-link">Home</a></li>
              {% if current_user.partner_type == 'customer' %}
              <li class="nav-item"><a href="{{ url_for('newcomplaint') }}" class="nav-link">New Complaint</a></li>
              {% endif %}
              <li class="nav-item"><a href="{{ url_for('activecomplaints') }}" class="nav-link">Active Complaints</a><li>
              {% endif %}
            </ul>
            <ul class="nav navbar-nav navbar-right">
              {% if current_user.is_authenticated %}
              {% if g.search_form %}
                <form class="navbar-form navbar-left" method="get"
                        action="{{ url_for('search') }}">
                    <div class="form-group">
                        {{ g.search_form.q(size=20, class='form-control',
                            placeholder=g.search_form.q.label.text) }}
                    </div>
                </form>
                {% endif %}
              <li class="nav-item"><a href="{{ url_for('logout') }}" class="nav-link">Logout</a></li>
              <hr>
              {% endif %}
            </ul>
          </div>
        </div>
      </nav>
      {% endif %}
      <div class="container">
        {% with messages = get_flashed_messages() %}
        {% if messages %}
          {% for message in messages %}
          <div class="alert alert-info" role="alert">{{ message }}<div>
          {% endfor %}
        {% endif %}
        {% endwith %}

        {% block app_content %}{% endblock %}
      </div>
      <script src="https://ajax.googleapis.com/ajax/libs/jquery/3.4.1/jquery.min.js"></script>
      <script src="https://cdnjs.cloudflare.com/ajax/libs/popper.js/1.14.7/umd/popper.min.js"></script>
      <script src="https://maxcdn.bootstrapcdn.com/bootstrap/4.3.1/js/bootstrap.min.js"></script>
      <script scr="{{ url_for('static', filename='main.js') }}"></script>
    </body>
    {%block footer%}{%endblock%}
</html>